summaryrefslogtreecommitdiffstats
path: root/academic/bowtie
diff options
context:
space:
mode:
author Petar Petrov <ppetrov@paju.oulu.fi>2013-01-13 10:23:45 +0100
committer dsomero <xgizzmo@slackbuilds.org>2013-01-20 09:03:02 -0500
commit687759e7cdc6f178669b22721a26122d67e1fb6c (patch)
treeb9d55209ca143fcf7739772ca1da68c75cb9cebb /academic/bowtie
parentfb948c0ed12cda15f62d076b255068a7f8c4e36a (diff)
downloadslackbuilds-687759e7cdc6f178669b22721a26122d67e1fb6c.tar.gz
slackbuilds-687759e7cdc6f178669b22721a26122d67e1fb6c.tar.xz
academic/bowtie: Added (short read aligner of DNA sequences).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'academic/bowtie')
-rw-r--r--academic/bowtie/README17
-rw-r--r--academic/bowtie/References5
-rw-r--r--academic/bowtie/bowtie.SlackBuild104
-rw-r--r--academic/bowtie/bowtie.info10
-rw-r--r--academic/bowtie/slack-desc19
5 files changed, 155 insertions, 0 deletions
diff --git a/academic/bowtie/README b/academic/bowtie/README
new file mode 100644
index 0000000000..949e67e5f8
--- /dev/null
+++ b/academic/bowtie/README
@@ -0,0 +1,17 @@
+Bowtie is an ultrafast, memory-efficient short read aligner geared
+toward quickly aligning large sets of short DNA sequences (reads) to
+large genomes. It aligns 35-base-pair reads to the human genome at a
+rate of 25 million reads per hour on a typical workstation. Bowtie
+indexes the genome with a Burrows-Wheeler index to keep its memory
+footprint small: for the human genome, the index is typically about
+2.2GB (for unpaired alignment) or 2.9GB (for paired-end or colorspace
+alignment). Multiple processors can be used simultaneously to achieve
+greater alignment speed. Bowtie can also output alignments in the
+standard SAM format, allowing Bowtie to interoperate with other tools
+supporting SAM, including the SAMtools consensus, SNP, and indel
+callers.
+
+If you use Bowtie for your published research, please cite:
+Langmead B, Trapnell C, Pop M, Salzberg SL.
+Ultrafast and memory-efficient alignment of short DNA sequences to
+the human genome. Genome Biol 10:R25.
diff --git a/academic/bowtie/References b/academic/bowtie/References
new file mode 100644
index 0000000000..43e42387ec
--- /dev/null
+++ b/academic/bowtie/References
@@ -0,0 +1,5 @@
+If you use Bowtie for your published research, please cite:
+
+Langmead B, Trapnell C, Pop M, Salzberg SL.
+Ultrafast and memory-efficient alignment of short DNA sequences to
+the human genome. Genome Biol 10:R25.
diff --git a/academic/bowtie/bowtie.SlackBuild b/academic/bowtie/bowtie.SlackBuild
new file mode 100644
index 0000000000..72eedc70ce
--- /dev/null
+++ b/academic/bowtie/bowtie.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for bowtie
+
+# Copyright 2013 Petar Petrov, ppetrov@paju.oulu.fi
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=bowtie
+VERSION=${VERSION:-0.12.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip $CWD/$PRGNAM-$VERSION-src.zip
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+make
+
+install -D -m755 $PRGNAM $PKG/usr/bin/$PRGNAM
+install -D -m755 $PRGNAM-build $PKG/usr/bin/$PRGNAM-build
+install -D -m755 $PRGNAM-inspect $PKG/usr/bin/$PRGNAM-inspect
+
+# Copy genomic data, scripts and more
+mkdir -p $PKG/usr/share/$PRGNAM
+cp -a \
+ genomes indexes reads scripts \
+ $PKG/usr/share/$PRGNAM
+
+# Let's compress the E. coli genome and indexes
+gzip $PKG/usr/share/$PRGNAM/genomes/*.fna
+gzip $PKG/usr/share/$PRGNAM/indexes/*.ebwt
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING MANUAL NEWS TUTORIAL VERSION doc \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/References > $PKG/usr/doc/$PRGNAM-$VERSION/References
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/bowtie/bowtie.info b/academic/bowtie/bowtie.info
new file mode 100644
index 0000000000..42f47f325f
--- /dev/null
+++ b/academic/bowtie/bowtie.info
@@ -0,0 +1,10 @@
+PRGNAM="bowtie"
+VERSION="0.12.9"
+HOMEPAGE="http://bowtie-bio.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/bowtie-bio/bowtie-0.12.9-src.zip"
+MD5SUM="3120f57a849ab885e928800c591764f8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Petar Petrov"
+EMAIL="ppetrov@paju.oulu.fi"
diff --git a/academic/bowtie/slack-desc b/academic/bowtie/slack-desc
new file mode 100644
index 0000000000..b1722ac279
--- /dev/null
+++ b/academic/bowtie/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+bowtie: bowtie (A short read aligner of DNA sequences)
+bowtie:
+bowtie: Bowtie is an ultrafast, memory-efficient short read aligner geared
+bowtie: toward quickly aligning large sets of short DNA sequences (reads)
+bowtie: to large genomes.
+bowtie:
+bowtie: Home: http://bowtie-bio.sourceforge.net/
+bowtie: References: /usr/doc/bowtie-$VERSION/References
+bowtie:
+bowtie:
+bowtie: